local L = LibStub("AceLocale-3.0"):GetLocale("EasyDKP")

-----------------------------
--  Frame functions
-----------------------------

function EasyDKP:CreateViewerFrame()
	self.viewerframe = CreateFrame("Frame", "EasyDKPViewerFrame", UIParent)
	self.viewerframe:EnableKeyboard(true)
	self.viewerframe:EnableMouse(true)
	self.viewerframe:SetMovable(true)
	self.viewerframe:SetToplevel(true)
	self.viewerframe:SetHeight(390)
	self.viewerframe:SetWidth(380)
	self.viewerframe:SetFrameStrata("DIALOG")
	self.viewerframe:SetPoint("CENTER")
	self.viewerframe:SetBackdrop({
		bgFile = "Interface/DialogFrame/UI-DialogBox-Background",
		edgeFile= "Interface/DialogFrame/UI-DialogBox-Border",
		tile = true, tileSize = 32, edgeSize = 32,
		insets = { left = 11, right = 12, top = 12, bottom = 11 }
	})
	self.viewerframe:SetScript("OnMouseDown", function() self.viewerframe:StartMoving() end)
	self.viewerframe:SetScript("OnMouseUp", function() self.viewerframe:StopMovingOrSizing() end)
	self.viewerframe:SetScript("OnDragStop", function() self.viewerframe:StopMovingOrSizing() end)

	self.viewerframe:SetBackdropColor(0,0,0,1)
	self.viewerframe.texture = self.viewerframe:CreateTexture("EasyDKPOptionsFrameHeader", "ARTWORK")
	self.viewerframe.texture:SetTexture("Interface/DialogFrame/UI-DialogBox-Header")
	self.viewerframe.texture:SetHeight(64)
	self.viewerframe.texture:SetWidth(350)
	self.viewerframe.texture:SetPoint("TOP", 0, 12)
	
	self.viewerframe.headertext = self.viewerframe:CreateFontString("EasyDKPOptionsTitle", "ARTWORK", "GameFontNormal")
	self.viewerframe.headertext:SetPoint("TOP", self.viewerframe.texture, "TOP", 0, -14)
	self.viewerframe.headertext:SetText("Easy DKP player list")

end